Bug 1434150 - [Scale] MiqWidget.generate_content at large scale consumes tremendous amount of memory and times - out
Summary: [Scale] MiqWidget.generate_content at large scale consumes tremendous amount ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.2
Assignee: Keenan Brock
QA Contact: Pradeep Kumar Surisetty
URL:
Whiteboard: perf:widget:dashboard
Depends On: 1251259
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-20 20:02 UTC by Satoe Imaishi
Modified: 2017-04-12 14:45 UTC (History)
8 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1251259
Environment:
Last Closed: 2017-04-12 14:45:59 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-20 20:20:57 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/58cbec8d9ef464d1b0adf11afe47339dd11b244c

commit 58cbec8d9ef464d1b0adf11afe47339dd11b244c
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Mar 8 08:56:49 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 20 16:15:44 2017 -0400

    Merge pull request #14224 from kbrock/widget_1
    
    Speed up widget generation
    (cherry picked from commit 15f7ba471e1a31a482a76168b6a07a19b2cf9917)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1434150

 app/models/metric/helper.rb | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Comment 3 CFME Bot 2017-03-20 21:36:07 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/102f688f4ef1af978a7f039a04fcb090d0508951

commit 102f688f4ef1af978a7f039a04fcb090d0508951
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Mon Mar 20 16:52:26 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Mar 20 17:30:59 2017 -0400

    Merge pull request #14386 from kbrock/widget_timezones
    
    Make Widget run without timezones
    (cherry picked from commit c9cf15216a416a654def816e4d79acc62e520000)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1434150

 app/models/miq_widget.rb                           | 25 +++++++++++++---------
 app/models/miq_widget/content_option_generator.rb  | 10 +++------
 .../widgets/chart_guest_os_information_any_os.yaml |  3 ++-
 .../widgets/chart_vendor_and_guest_os.yaml         |  3 ++-
 .../widgets/report_top_storage_consumers.yaml      |  3 ++-
 spec/models/miq_widget_spec.rb                     | 20 +++++++++++++++--
 6 files changed, 42 insertions(+), 22 deletions(-)

Comment 5 Keenan Brock 2017-03-23 14:12:44 UTC
2 of the 3 changes were backported to `euwe`.
The 3rd change is too risky and will go into `fine`

Comment 6 errata-xmlrpc 2017-04-12 14:45:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.